fieldset {
  background-color: transparent;
  border: 0;
  margin: 0;
  padding: 0;
}

legend {
  font-weight: bold;
  margin-bottom: $small-spacing / 2;
  padding: 0;
}

label {
  display: block;
  font-weight: bold;
}

input,
select {
  display: block;
  font-family: $font-copy;
  font-size: $font-size;
}

[type="color"],
[type="date"],
[type="datetime"],
[type="datetime-local"],
[type="email"],
[type="month"],
[type="number"],
[type="password"],
[type="search"],
[type="tel"],
[type="text"],
[type="time"],
[type="url"],
[type="week"],
input:not([type]),
textarea,
select[multiple] {
  background-color: color(white);
  border: 1px solid $color-base-border;
  border-radius: $base-border-radius;
  box-shadow: none;
  box-sizing: border-box;
  font-family: $font-copy;
  font-size: $font-size;
  padding: $base-spacing / 3;
  transition: border-color $base-duration $base-timing;
  width: 100%;

  &:hover {
    border-color: shade($color-base-border, 20%);
  }

  &:focus {
    border-color: color(action);
    box-shadow: none;
    outline: none;
  }

  &:disabled {
    background-color: shade($color-base-background, 5%);
    cursor: not-allowed;

    &:hover {
      border: 1px solid $color-base-border;
    }
  }
}

textarea {
  resize: vertical;
}

[type="search"] {
  appearance: none;
}

[type="checkbox"],
[type="radio"] {
  display: inline;
  margin-right: $small-spacing / 2;
}

[type="file"] {
  width: 100%;
}

select {
  width: 100%;
}
